查询商品折扣详情 - 列表 - 秒杀
POST
/basicOpen/promotion/listingDetailSecKill接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/promotion/listingDetailSecKill | HTTPS | POST | 1 |
请求参数
sellerSkustring必填promotionTypearray<any>statusarray<any>storeIdstring必填startTimestring必填endTimestring必填sortFieldstring必填sortTypestring必填pageNumnumber必填pageSizenumber必填请求示例
{
"sellerSku": "09-CJWX-DFQH",
"promotionType": [],
"status": [],
"storeId": "31",
"startTime": "2021-06-21",
"endTime": "2021-06-28",
"sortField": "startTime",
"sortType": "desc",
"pageNum": 1,
"pageSize": 20
}
返回结果
Json Object
codenumber必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
totalnumber必填sizenumber必填pageCountnumber必填currentnumber必填currentSizenumber必填hasNextPageboolean必填hasPreviousPageboolean必填recordsarray<object>必填隐藏子属性
promotionIdstring必填namestring必填productQuantitynumber必填storeIdstring必填storeNamestring必填regionNamestring必填currencyIconstring必填statusnumber必填statusTextstring必填originStatusstring必填originStatusTextstring必填promotionTypenumber必填promotionTypeTextstring必填descriptionstring必填seckillFeenumber必填seckillFeeMinnumber必填seckillFeeMaxnumber必填waivedboolean必填salesAmountnumber必填salesAmountUsdnumber必填salesVolumenumber必填participateInventorynumber必填soldRatenumber必填pageViewstring必填exchangeRatenumber必填pcosnumber必填promotionStartTimestring必填promotionStartTimeUtcstring必填promotionEndTimestring必填firstSyncTimestring必填lastSyncTimestring必填remarkstring必填totalnumber必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "247d20a083f64e978b8281861dc53a9f.1752196813228",
"response_time": "2025-07-11 09:20:17",
"data": {
"total": 1,
"size": 20,
"pageCount": 1,
"current": 1,
"currentSize": 1,
"hasNextPage": false,
"hasPreviousPage": false,
"records": [{
"promotionId": "8189187e-c8c2-3bae-8f42-9ae8709fd6d8",
"name": "Ciwete Stainless Steel Kitchen Cookware Set",
"productQuantity": 2,
"storeId": "31",
"storeName": "非凡-JP",
"regionName": "日本",
"currencyIcon": "JP¥",
"status": 0,
"statusText": "其它",
"originStatus": "CANCELLED",
"originStatusText": "已取消",
"promotionType": 2,
"promotionTypeText": "Lightning Deal",
"description": "秒杀-2021/03/10 2-19-52-682",
"seckillFee": 0,
"seckillFeeMin": 300,
"seckillFeeMax": 500,
"waived": false,
"salesAmount": 0,
"salesAmountUsd": 0,
"salesVolume": 0,
"participateInventory": 19,
"soldRate": 0,
"pageView": "0",
"exchangeRate": 0,
"pcos": 0,
"promotionStartTime": "2021-06-21 07:00:00",
"promotionStartTimeUtc": null,
"promotionEndTime": "2021-06-28 06:59:00",
"firstSyncTime": "2023-03-03 16:43:08",
"lastSyncTime": "2023-03-03 16:43:08",
"remark": ""
}]
},
"total": 1
}